﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:2.0.50727.8762
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

// 
// This source code was auto-generated by Microsoft.CompactFramework.Design.Data, Version 2.0.50727.8762.
// 
namespace SpexMobile.spexws {
    using System.Diagnostics;
    using System.Web.Services;
    using System.ComponentModel;
    using System.Web.Services.Protocols;
    using System;
    using System.Xml.Serialization;
    using System.Data;
    
    
    /// <remarks/>
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Web.Services.WebServiceBindingAttribute(Name="SpexSoap", Namespace="http://spex.qas.toyota.co.id/")]
    public partial class Spex : System.Web.Services.Protocols.SoapHttpClientProtocol {
        
        /// <remarks/>
        public Spex() {
            this.Url = "http://localhost/SpexWs/Spex.asmx";
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://spex.qas.toyota.co.id/CheckConnection", RequestNamespace="http://spex.qas.toyota.co.id/", ResponseNamespace="http://spex.qas.toyota.co.id/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public string CheckConnection() {
            object[] results = this.Invoke("CheckConnection", new object[0]);
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        public System.IAsyncResult BeginCheckConnection(System.AsyncCallback callback, object asyncState) {
            return this.BeginInvoke("CheckConnection", new object[0], callback, asyncState);
        }
        
        /// <remarks/>
        public string EndCheckConnection(System.IAsyncResult asyncResult) {
            object[] results = this.EndInvoke(asyncResult);
            return ((string)(results[0]));
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://spex.qas.toyota.co.id/RetrieveDataPrc", RequestNamespace="http://spex.qas.toyota.co.id/", ResponseNamespace="http://spex.qas.toyota.co.id/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public System.Data.DataSet RetrieveDataPrc(string procName, string[] refkey, string[] refval) {
            object[] results = this.Invoke("RetrieveDataPrc", new object[] {
                        procName,
                        refkey,
                        refval});
            return ((System.Data.DataSet)(results[0]));
        }
        
        /// <remarks/>
        public System.IAsyncResult BeginRetrieveDataPrc(string procName, string[] refkey, string[] refval, System.AsyncCallback callback, object asyncState) {
            return this.BeginInvoke("RetrieveDataPrc", new object[] {
                        procName,
                        refkey,
                        refval}, callback, asyncState);
        }
        
        /// <remarks/>
        public System.Data.DataSet EndRetrieveDataPrc(System.IAsyncResult asyncResult) {
            object[] results = this.EndInvoke(asyncResult);
            return ((System.Data.DataSet)(results[0]));
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://spex.qas.toyota.co.id/RetrieveDataStr", RequestNamespace="http://spex.qas.toyota.co.id/", ResponseNamespace="http://spex.qas.toyota.co.id/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public System.Data.DataSet RetrieveDataStr(string sql) {
            object[] results = this.Invoke("RetrieveDataStr", new object[] {
                        sql});
            return ((System.Data.DataSet)(results[0]));
        }
        
        /// <remarks/>
        public System.IAsyncResult BeginRetrieveDataStr(string sql, System.AsyncCallback callback, object asyncState) {
            return this.BeginInvoke("RetrieveDataStr", new object[] {
                        sql}, callback, asyncState);
        }
        
        /// <remarks/>
        public System.Data.DataSet EndRetrieveDataStr(System.IAsyncResult asyncResult) {
            object[] results = this.EndInvoke(asyncResult);
            return ((System.Data.DataSet)(results[0]));
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://spex.qas.toyota.co.id/ProcessDataPrc", RequestNamespace="http://spex.qas.toyota.co.id/", ResponseNamespace="http://spex.qas.toyota.co.id/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void ProcessDataPrc(string procName, string[] refkey, string[] refval) {
            this.Invoke("ProcessDataPrc", new object[] {
                        procName,
                        refkey,
                        refval});
        }
        
        /// <remarks/>
        public System.IAsyncResult BeginProcessDataPrc(string procName, string[] refkey, string[] refval, System.AsyncCallback callback, object asyncState) {
            return this.BeginInvoke("ProcessDataPrc", new object[] {
                        procName,
                        refkey,
                        refval}, callback, asyncState);
        }
        
        /// <remarks/>
        public void EndProcessDataPrc(System.IAsyncResult asyncResult) {
            this.EndInvoke(asyncResult);
        }
        
        /// <remarks/>
        [System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://spex.qas.toyota.co.id/ProcessDataStr", RequestNamespace="http://spex.qas.toyota.co.id/", ResponseNamespace="http://spex.qas.toyota.co.id/", Use=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)]
        public void ProcessDataStr(string sql) {
            this.Invoke("ProcessDataStr", new object[] {
                        sql});
        }
        
        /// <remarks/>
        public System.IAsyncResult BeginProcessDataStr(string sql, System.AsyncCallback callback, object asyncState) {
            return this.BeginInvoke("ProcessDataStr", new object[] {
                        sql}, callback, asyncState);
        }
        
        /// <remarks/>
        public void EndProcessDataStr(System.IAsyncResult asyncResult) {
            this.EndInvoke(asyncResult);
        }
    }
}
